# tinge

Tinge is a mobile first application for controlling Philips Hue lights on Linux

## Installation
Install wxPython. eg. for PostmarketOS (don't use pip to install it):
```
sudo apk add py3-wxpython
```

clone this repository:
```
git clone https://code.smolnet.org/micke/tinge
```
Run the crude installer:
```
cd tinge
./install.sh
```
## Requirements
Requires a recent Python3 and pip3, most likely python >= 3.7. It is only tested with 3.9 on PostmarketOS on the PinePhone and on Debian Bullseye though.

## Screenshots
![Discover Bridge View](https://code.smolnet.org/micke/tinge/raw/branch/master/screenshots/20210506_16h18m26s_grim.png)
![All Bridge View](https://code.smolnet.org/micke/tinge/raw/branch/master/screenshots/20210506_14h48m15s_grim.png)
![All Group View](https://code.smolnet.org/micke/tinge/raw/branch/master/screenshots/20210506_14h48m24s_grim.png)
![Single Group View, with Bed Light Off](https://code.smolnet.org/micke/tinge/raw/branch/master/screenshots/20210506_14h48m30s_grim.png)
![Single Light Off](https://code.smolnet.org/micke/tinge/raw/branch/master/screenshots/20210506_14h48m34s_grim.png)
![Single Light On](https://code.smolnet.org/micke/tinge/raw/branch/master/screenshots/20210506_14h48m37s_grim.png)
![Single Group View, with Bed Light On](https://code.smolnet.org/micke/tinge/raw/branch/master/screenshots/20210506_14h48m48s_grim.png)
